% geography
\newcommand{\ita}{Italy}
\newcommand{\pd}{Padova, \ita{}}
\newcommand{\dresden}{Dresden, DE}

% institutions
\newcommand{\tud}{TU Dresden}

% programming
%% lang
\newcommand{\cpp}{C/C++}
\newcommand{\cs}{C\#}
\newcommand{\net}{.NET}
\newcommand{\py}{Python 2/3}
\newcommand{\java}{Java 7+}
\newcommand{\js}{JavaScript (ECMAScript 5+)}
\newcommand{\hcj}{HTML5, CSS3, JavaScript}

% meta
\newcommand{\todo}{\colorbox{red}{\textbf{TODO!!!}}}

% images

% references
\newcommand{\fg[1]}{Figure \ref{fig:#1}}  % label must be fig:...
\newcommand{\tab[1]}{Table \ref{tab:#1}}  % label must be tab:...
\newcommand{\eq[1]}{equation \ref{eq:#1}}  % label must be eq:...

% draw
\newcommand{\drawImg[3]}{
  \begin{figure}[ht!]
  \centering
  \includegraphics[width=140mm]{#1}
  \caption{#2}
  \label{fig:#3}
  \end{figure}
}

% time
\newcommand{\report}{Week of}

% data
\newcommand{\abstr}{This is a short introdution}

% todo list
\newcommand{\cmark}{\ding{51}}%
\newcommand{\xmark}{\ding{55}}%
\newcommand{\done}{\rlap{$\square$}{\raisebox{2pt}{\large\hspace{1pt}\cmark}}%
\hspace{-2.5pt}}
\newcommand{\wontfix}{\rlap{$\square$}{\large\hspace{1pt}\xmark}}

% conditions in equations
\newenvironment{conditions}
  {\par\vspace{\abovedisplayskip}\noindent\begin{tabular}{>{$}l<{$} @{${}{}$} l}}
  {\end{tabular}\par\vspace{\belowdisplayskip}}

% others
\newcommand{\ie}{i.e.}
\newcommand{\eg}{e.g.}
\newcommand{\no}{number of}
\newcommand{\wrt}{w.r.t.}

% maths
\newcommand{\Sum}{\mathlarger{‎‎\sum}}